Bug 244237 - Review Request: R-pls - Multivariate regression by PLSR and PCR
Review Request: R-pls - Multivariate regression by PLSR and PCR
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 13:09 EDT by Pierre-Yves
Modified: 2008-01-29 00:18 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 00:15:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-06-14 13:09:17 EDT
Spec URL: http://pingoured.dyndns.org/public/RPM/R-pls/R-pls.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/R-pls/R-pls-2.0-2.fc6.src.rpm
Description: 
Multivariate regression by partial least squares regression (PLSR) 
and principal component regression (PCR)

I am seeking for a sponsor :-) thanks
Comment 1 Pierre-Yves 2007-07-17 10:34:25 EDT
I have made some changes, above others to take the guidelines into account:

There are the new files
SPEC
http://pingoured.dyndns.org/public/RPM/R-pls/R-pls.spec
SRPM:
http://pingoured.dyndns.org/public/RPM/R-pls/R-pls-2.0-3.fc6.src.rpm

Thanks :)

(PS. I am not looking for a sponsor anymore)
Comment 3 Jason Tibbitts 2007-11-18 18:33:21 EST
Sending this comment to the right ticket this time....

Builds OK; rpmlint has the usual "one-line-command-in-%post" complaints, plus
  R-pls.noarch: W: file-not-utf8 /usr/share/R/library/pls/DESCRIPTION
which should be fixed by a pass through iconv.

I note that 2.1 has been released, and they seem to have removed the 2.0 tarball
from the upstream site.  Did you want to update this package or should I review
this version?

Comment 4 Pierre-Yves 2007-11-19 02:51:54 EST
I will update the new version.
Comment 5 Jason Tibbitts 2008-01-17 02:34:55 EST
Any progress here?
Comment 7 Jason Tibbitts 2008-01-17 15:58:28 EST
The only thing I would suggest is that you consider packaging the CHANGES
document, since it seems to be relevant and up-to-date.

* source files match upstream:
   71108e2b7beb7287cef6a5f68c1f4c9e3d2aebf71886b200c7291b4ebf4453e6  
   pls_2.1-0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint has only the usual complaints
* final provides and requires are sane:
   R-pls = 2.1-1.fc9
  =
   /bin/sh
   R

* %check is present and all tests (as far as I can tell).
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (R package installation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 8 Pierre-Yves 2008-01-19 14:03:49 EST
New Package CVS Request
=======================
Package Name: R-pls
Short Description: Multivariate regression by PLSR and PCR
Owners: pingou
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-01-19 15:50:54 EST
cvs done.
Comment 10 Fedora Update System 2008-01-22 10:58:47 EST
R-pls-2.1-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-pls'
Comment 11 Fedora Update System 2008-01-29 00:15:32 EST
R-pls-2.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-01-29 00:18:24 EST
R-pls-2.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.